Chapter 28. Deployment Service


28.1. Deployment Service

28.1.1. CountDeployments

GET /v1/deploymentscount

CountDeployments returns the number of deployments.

28.1.1.1. Description

28.1.1.2. Parameters

28.1.1.2.1. Query Parameters
Expand
NameDescriptionRequiredDefaultPattern

query

 

-

null

 

pagination.limit

 

-

null

 

pagination.offset

 

-

null

 

pagination.sortOption.field

 

-

null

 

pagination.sortOption.reversed

 

-

null

 

pagination.sortOption.aggregateBy.aggrFunc

 

-

UNSET

 

pagination.sortOption.aggregateBy.distinct

 

-

null

 

28.1.1.3. Return Type

V1CountDeploymentsResponse

28.1.1.4. Content Type

  • application/json

28.1.1.5. Responses

Expand
Table 28.1. HTTP Response Codes
CodeMessageDatatype

200

A successful response.

V1CountDeploymentsResponse

0

An unexpected error response.

GoogleRpcStatus

28.1.1.6. Samples

28.1.2. ExportDeployments

GET /v1/export/deployments

28.1.2.1. Description

28.1.2.2. Parameters

28.1.2.2.1. Query Parameters
Expand
NameDescriptionRequiredDefaultPattern

timeout

 

-

null

 

query

 

-

null

 

28.1.2.3. Return Type

Stream result of v1ExportDeploymentResponse.

28.1.2.4. Content Type

  • application/json

28.1.2.5. Responses

Expand
Table 28.2. HTTP Response Codes
CodeMessageDatatype

200

A successful response.(streaming responses)

Stream result of v1ExportDeploymentResponse.

0

An unexpected error response.

GoogleRpcStatus

28.1.2.6. Samples

28.1.3. GetDeployment

GET /v1/deployments/{id}

GetDeployment returns a deployment given its ID.

28.1.3.1. Description

28.1.3.2. Parameters

28.1.3.2.1. Path Parameters
Expand
NameDescriptionRequiredDefaultPattern

id

 

X

null

 

28.1.3.3. Return Type

StorageDeployment

28.1.3.4. Content Type

  • application/json

28.1.3.5. Responses

Expand
Table 28.3. HTTP Response Codes
CodeMessageDatatype

200

A successful response.

StorageDeployment

0

An unexpected error response.

GoogleRpcStatus

28.1.3.6. Samples

28.1.4. GetDeploymentWithRisk

GET /v1/deploymentswithrisk/{id}

GetDeploymentWithRisk returns a deployment and its risk given its ID.

28.1.4.1. Description

28.1.4.2. Parameters

28.1.4.2.1. Path Parameters
Expand
NameDescriptionRequiredDefaultPattern

id

 

X

null

 

28.1.4.3. Return Type

V1GetDeploymentWithRiskResponse

28.1.4.4. Content Type

  • application/json

28.1.4.5. Responses

Expand
Table 28.4. HTTP Response Codes
CodeMessageDatatype

200

A successful response.

V1GetDeploymentWithRiskResponse

0

An unexpected error response.

GoogleRpcStatus

28.1.4.6. Samples

28.1.5. GetLabels

GET /v1/deployments/metadata/labels

GetLabels returns the labels used by deployments.

28.1.5.1. Description

28.1.5.2. Parameters

28.1.5.3. Return Type

V1DeploymentLabelsResponse

28.1.5.4. Content Type

  • application/json

28.1.5.5. Responses

Expand
Table 28.5. HTTP Response Codes
CodeMessageDatatype

200

A successful response.

V1DeploymentLabelsResponse

0

An unexpected error response.

GoogleRpcStatus

28.1.5.6. Samples

28.1.6. ListDeployments

GET /v1/deployments

ListDeployments returns the list of deployments.

28.1.6.1. Description

28.1.6.2. Parameters

28.1.6.2.1. Query Parameters
Expand
NameDescriptionRequiredDefaultPattern

query

 

-

null

 

pagination.limit

 

-

null

 

pagination.offset

 

-

null

 

pagination.sortOption.field

 

-

null

 

pagination.sortOption.reversed

 

-

null

 

pagination.sortOption.aggregateBy.aggrFunc

 

-

UNSET

 

pagination.sortOption.aggregateBy.distinct

 

-

null

 

28.1.6.3. Return Type

V1ListDeploymentsResponse

28.1.6.4. Content Type

  • application/json

28.1.6.5. Responses

Expand
Table 28.6. HTTP Response Codes
CodeMessageDatatype

200

A successful response.

V1ListDeploymentsResponse

0

An unexpected error response.

GoogleRpcStatus

28.1.6.6. Samples

28.1.7. ListDeploymentsWithProcessInfo

GET /v1/deploymentswithprocessinfo

ListDeploymentsWithProcessInfo returns the list of deployments with process information.

28.1.7.1. Description

28.1.7.2. Parameters

28.1.7.2.1. Query Parameters
Expand
NameDescriptionRequiredDefaultPattern

query

 

-

null

 

pagination.limit

 

-

null

 

pagination.offset

 

-

null

 

pagination.sortOption.field

 

-

null

 

pagination.sortOption.reversed

 

-

null

 

pagination.sortOption.aggregateBy.aggrFunc

 

-

UNSET

 

pagination.sortOption.aggregateBy.distinct

 

-

null

 

28.1.7.3. Return Type

V1ListDeploymentsWithProcessInfoResponse

28.1.7.4. Content Type

  • application/json

28.1.7.5. Responses

Expand
Table 28.7. HTTP Response Codes
CodeMessageDatatype

200

A successful response.

V1ListDeploymentsWithProcessInfoResponse

0

An unexpected error response.

GoogleRpcStatus

28.1.7.6. Samples

Red Hat logoGithubredditYoutubeTwitter

Learn

Try, buy, & sell

Communities

About Red Hat

We deliver hardened solutions that make it easier for enterprises to work across platforms and environments, from the core datacenter to the network edge.

Making open source more inclusive

Red Hat is committed to replacing problematic language in our code, documentation, and web properties. For more details, see the Red Hat Blog.

About Red Hat Documentation

Legal Notice

Theme

© 2026 Red Hat
Back to top